Bug 1745889 - [DOCS] docker.io not usable as a private registry
Summary: [DOCS] docker.io not usable as a private registry
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Documentation
Version: 3.x
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.x
Assignee: Ashley Hardin
QA Contact: Vikram Goyal
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-27 07:12 UTC by Brendan Mchugh
Modified: 2020-01-13 20:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-13 20:57:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1561989 'urgent' 'CLOSED' 'Secret created by `oc create secret docker-registry` cannot pull image from docker.io private registry' 2019-11-25 02:58:33 UTC

Description Brendan Mchugh 2019-08-27 07:12:07 UTC
Document URL: 
https://docs.openshift.com/online/dev_guide/managing_images.html#allowing-pods-to-reference-images-from-other-secured-registries

Section Number and Name: 
Allowing Pods to Reference Images from Other Secured Registries

Describe the issue: 
A scenario that comes up often is users wanting to use "docker.io" as a private registry, however this no longer works with OpenShift Online due to the following bug which has been CLOSED WONTFIX. [1]

Suggestions for improvement: 
Add a specific note/warning stating that "docker.io" cannot be used as a private registry with OpenShift Online.

Additional information: 
[1] https://bugzilla.redhat.com/show_bug.cgi?id=1561989

Comment 3 Ashley Hardin 2020-01-06 21:10:35 UTC
WIP: https://github.com/openshift/openshift-docs/pull/18851


Note You need to log in before you can comment on or make changes to this bug.